//  Fichier principal du programme

//  Inclusion de la bibliothèque Process permettant d'utiliser le shell Unix pour envoyer les valeurs captées par cURL
#include <Process.h>
//  Inclusion du fichier comportant les variables que l'utilisateur peut changer dans un simple logiciel de traitement de texte
#include "config.h"
//  Inclusion des fichiers comportant toutes les variables nécéssaires au déroulement du programme
#include "variables.h"

//  Fonction prédéfinie et indispensable répétée par le matériel après l'exécution de la fonction prédéfinie "setup"
//  Partie principale du programme
void loop() {
  //  Affichage des messages
  sps("Début des relevés automatiques"); spln();
  //  Lancement des fonctions de relevés au sein de variables qui recevront les résultat en retour des fonctions
  humidite = releveHumidite();
  lumiere = releveLumiere();
  temperature = releveTemperature();
  //  Affichage des messages
  sps("Fin des relevés automatiques"); spln();
  //envoi();
  sps("Prochains relevés automatiques dans : "); spi(heures); sps(" heure(s), "); spi(minutes); sps(" minute(s) et "); spi(secondes); sps(" seconde(s)"); spln();
  //  Boucle indépendante des relevés automatiques
  for (i = 0; i <= tempsProgramme; i += 1){
    //  Affichage du temps restant avant le prochain relevé automatique
    //spTempsRestant();
    //  Lecture des commandes entrées dans le moniteur série
    lectureCommande();
    //  Fonction d'attente
    attente(1);
  }
  //  Condition d'arrêt de la boucle principale
  //while (true);
}
