//  Fonctions d'affichages de messages en fonction des variables à afficher
//  Le type de la variable envoyée doit être définie en paramètre de cette fonction

//  Affichage d'une chaîne de caractère
void sps(String parametre) {
  Serial.print(parametre);
}

//  Affichage d'un nombre entier
void spi(int parametre) {
  Serial.print(parametre);
}

//  Affichage d'un nombre à virgule flottante
void spf(float parametre) {
  Serial.print(parametre);
}

//  Affichage d'un retour à la ligne, permettant de rendre lisibles tous les messages de retour du le moniteur série
void spln() {
  Serial.println();
}

//  Affichage du temps restant spécifique à la fonction "loop"
void spTempsRestant(){
  if (i%intervalleTemps == 0) {
    sps("Prochain relevé dans : "); spi(secondesProgramme - (i / intervalleTemps)); sps(" secondes"); spln();
  }
}
