//  Fonction permettant le relevé de la lumière

float releveLumiere() {
  ledOn();
  pin = 0;
  total = 0.0;
  sps("Début du relevé de la lumière"); spln();
  for (o = 1; o <= nombreReleve; o += 1) {
    lecture = analogRead(pin);
    valeur = ((lecture - 1024) * (-1)) / 10.24;
    total += valeur;
    sps(" - Lumière "); spi(o); sps(" : "); spf(valeur); sps(" %"); spln();
    attente(1);
  }
  moyenne = constrain(total / nombreReleve, 0, 100);
  sps("Fin du relevé de la lumière"); spln();
  sps("Temps : "); spf(tempsFonction); sps(" seconde(s)"); spln();
  sps("Total : "); spf(total); spln();
  sps("Moyenne : "); spf(moyenne); sps(" %"); spln();
  moyenne = round(moyenne);
  sps("Moyenne arrondie : "); spi(moyenne); sps(" %"); spln();
  ledOff();
  return moyenne;
}
