//  Fonction permettant le relevé de la température

float releveTemperature() {
  ledOn();
  pin = 1;
  total = 0.0;
  sps("Début du relevé de la température"); spln();
  for (o = 1; o <= nombreReleve; o += 1) {
    lecture = analogRead(pin);
    valeur = ((((lecture * 5) / 1024.0) - 0.5) * 100);
    total += valeur;
    sps(" - Température "); spi(o); sps(" : "); spf(valeur); sps(" °C"); spln();
    attente(1);
  }
  moyenne = total / nombreReleve;
  sps("Fin du relevé de la température"); spln();
  sps("Temps : "); spf(tempsFonction); sps(" seconde(s)"); spln();
  sps("Total : "); spf(total); spln();
  sps("Moyenne : "); spf(moyenne); sps(" °C"); spln();
  moyenne = round(moyenne);
  sps("Moyenne arrondie : "); spi(moyenne);sps(" °C");spln();
  ledOff();
  return moyenne;
}
