//  Fichier déclarant les variables globales nécéssaires à l'exécution du programme non modifiables par l'utilisateur
//  Certaines ne comportent pas de valeur par défaut, c'est lorsque le programme s'en servira qu'il leur octroira une valeur

//  Nombre entier constant (non modifiable dans et par le programme une fois déclaré) permettant d'identifier de manière unique la carte programmable
const int id = 1;

//  Nombre entiers contraints à posséder un minimum et un maximum
//  Ils reprennent les valeurs de heure, minute et seconde du fichier "config.h" pour les contraindre
//  Dans ce cas-ci, le temps sera compris entre une secondes et une 24 heures

int heures = constrain(heure, 0, 24);
int minutes = constrain(minute, 0, 60);
int secondes = constrain(seconde, 0, 60);

//  Chaîne de caractère, enregistre l'entrée d'une commande dans le moniteur série
String commande;

//  Long nombre entier, compteur de la grande boucle du programme principal
//  Le préfixe "long" permet de dépasser les valeurs par défaut du nombre entier court comprises entre -32,768 et 32,767
long int i;

//  Nombre entier, compteur des petites boucles des fonctions appelées par le programme principal
int o;

//  Intervalle de temps sur lequel se base l'entièreté du programme
//  1 pour une seconde, 10 pour dixième de secondes, 100 pour centième de secondes et 1000 pour millième de secondes
int intervalleTemps = 100;

//  Unité de temps relative à l'intervalle défini
float tempsUnite = 1000 / intervalleTemps;

//  Nombre entier, permet de définir le nombre de sous-relevés pour un relevé de manière à en calculer une moyenne
int nombreReleve = 10;

//  Variables de relevés reçevant les moyennes arrondies des différents relevés
float lumiere;
float temperature;
float humidite;

//  Nombre à virgule flottante, permet de calculer le temps approximatif d'une fonction
float tempsFonction = (tempsUnite * nombreReleve) / 1000;

//  Long nombre entier, calcule le nombre de secondes entre chaque relevé
long int secondesProgramme = (60 * 60 * heures) + (60 * minutes) + secondes;

//  Long nombre entier, calcule le temps que prend le programme principal en fonction du temps demandé entre chaque relevé et l'intervalle de temps défini
long int tempsProgramme = intervalleTemps * secondesProgramme;

//  Nombre entier, renseigne sur quel pin le capteur demandé est connecté
int pin;

//  Nombre entier, défini la lecture du capteur en fonction du pin choisi par les fonction de relevés
int lecture;

//  Nombre à virgule flottante, enregistre la valeur calculée et convertie par les fonctions de relevés
float valeur;

//  Nombre à virgule flottante, additionne toutes les valeurs calculées et converties par les fonctions de relevés
float total;

//  Nombre à virgule flottante, calcule une moyenne des valeurs calculées et converties par les fonctions de relevés par rapport au nombre de fois que cette valeur a été calculée
float moyenne;
