//  Fonction prédéfinie et indispensable lancée automatiquement au démarrage du matériel

void setup() {
  //  Initialisation de la LED de la carte programmable
  pinMode(LED_BUILTIN, OUTPUT);
  //  Initialisation du moniteur série en 115 200 bauds pour cacher les informations de connexion au réseau WiFi
  Serial.begin(115200);
  //  Connexion au réseau WiFi renseigné dans le fichier config.h
  connexion();
  //  Fermeture de la connexion au moniteur série en 115 200
  Serial.end();
  attente(1);
  //  Ouverture de la connexion au moniteur série en 9600 bauds
  Serial.begin(9600);
  //  Affichage du message de bienvenue
  spln(); sps("Bienvenue sur Plant'N Co"); spln();
}
